import QtQuick 2.9
import QtQuick.Controls 2.4
import QtGraphicalEffects 1.0
import "./components"

Popup {
    id: control

    modal: true
    dim: false

    scale: 0

    height: 300

    Rectangle {
        id: contentRect

        height: parent.height

        width: topImg.width * 0.836
        anchors.horizontalCenter: parent.horizontalCenter

        color: "white"

        Item {
            id: contentItm

            anchors {
                fill: parent
                topMargin: -topImg.anchors.bottomMargin
            }

            Column {
                anchors.fill: parent

                ShopDelegate {

                }

            }
        }
    }

    Image {
        id: topImg

        anchors {
            bottom: contentRect.top
            bottomMargin: -height * 0.22
        }

        source: "qrc:/graphics/shopTop.png"
        fillMode: Image.PreserveAspectFit
        mipmap: true
        width: parent.width
    }

    Image {
        id: bottomImg

        anchors {
            top: contentRect.bottom
            topMargin: -height * 0.33
        }

        source: "qrc:/graphics/shopBottom.png"
        fillMode: Image.PreserveAspectFit
        mipmap: true
        width: parent.width
    }

    background: Rectangle {
        color: "transparent"
    }

    enter: Transition {
        NumberAnimation { properties: "scale"; to: 1; duration: 300; easing.type: Easing.Linear }
    }

    exit: Transition {
        NumberAnimation { properties: "scale"; to: 0; duration: 300; easing.type: Easing.Linear }
    }
}
